net.corda.core.crypto

## Class NullSignature

- net.corda.core.serialization.OpaqueBytes
- - net.corda.core.crypto.DigitalSignature
  - - WithKey
    - - net.corda.core.crypto.NullSignature

-     public class NullSignature
      extends WithKey

  A signature with a key and value of zero. Useful when you want a signature object that you know won't ever be used.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.corda.core.crypto.DigitalSignature

      `DigitalSignature.LegallyIdentifiable, DigitalSignature.WithKey`

    - ### Nested classes/interfaces inherited from class net.corda.core.serialization.OpaqueBytes

      `OpaqueBytes.Companion`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static NullSignature` | `INSTANCE` A signature with a key and value of zero. Useful when you want a signature object that you know won't ever be used.

    - ### Fields inherited from class net.corda.core.serialization.OpaqueBytes

      `Companion`

  - ### Method Summary

    - ### Methods inherited from class net.corda.core.crypto.DigitalSignature.WithKey

      `getBy, verifyWithECDSA, verifyWithECDSA`

    - ### Methods inherited from class net.corda.core.serialization.OpaqueBytes

      `equals, getBytes, getSize, hashCode, open, toString`

- - ### Field Detail

    - #### INSTANCE

          public static NullSignature INSTANCE

      A signature with a key and value of zero. Useful when you want a signature object that you know won't ever be used.